Subject: high availability? anybody else?

From: [email-masked] (Blake Barnett)
Date: Wed, 8 Nov 2000 09:54:55 -0700

You need to talk to EMC.  This should be handled at a level above the OS (at
least for replication of data).  Their ESN (Enterprise Storage Networks)
solutions are designed to tackle problems like this.

Blake Barnett
Sr. Unix Administrator for DevelopOnline.com
480.377.6816 T 480.736.9211 F
[email-masked]

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: Tuesday, November 07, 2000 9:37 AM
To: [email-masked]
Subject: high availability? anybody else?

Well, here's an interesting question:

> >Hi Oracle Gurus, 
> >
> >I'd like to use your experience in High Availability for Oracle
> >database servers ( specifically on AIX ). 
> >
> >I've been asked by a System Manager to give him some hints on how 
> >too achieve high availability for Oracle. 
> >
> >To put the thing in context, there will be a central database 
> >server for the whole country, around 30 regional machine used to
> >collect data from around 100 000 points. 
> >
> >Data collection will normally be done during the night and I've been 
> >told we can expect 4Tb of data .....
> >
> >Oracle version will be 8.1.6 
> >
> >The central server will be central to the business, it will be used 
> >as well for billing, linked to other big legacy systems with MQSeries, 
> >blah blah blah, ... 
> >
> >So the customer want a very high availability for the system.
> >
> >What I was thinking of is replication. 
> >...
> >
> >The idea would be to have a master Oracle server replicating its
> >data to a read-only slave. 
> >
> >This would bring several benefits:
> >
> >- This would enable the system to have a standby database ready to 
> >take over the master 
> >
> >- The read-only slave could be used as the report server. The master
> >could be optimized for insert and update while the slave would be
> >optimized for read.
> >
> >- The database backup could only occur on the slave to not degrade
> >the master performances
> >
> >- This might as well even lessen the availability figure for each 
> >server. Even if the whole system need a 99.9% availability, with
> >the 2 servers, perhaps the master and the slave would only have to 
> >be 80% available, each servers covering different needs. I think
> >this is very important because whatever the greatest server you use,
> >you might have to upgrade or path the system and this simplify
> >the administration to know that you can have a bigger downtime
> >if needed.
> >
> >
> >Now this is all very nice on paper. 
> >
> >Is Oracle replication really working and not just a hype or
> >too difficult to implement ? ...
> >
> >For example, is it possible for Oracle to break the replication
> >mechanism ( while the master is upgraded ) and then reenable
> >it later ( like this possible with disk mirroring ) ? 
> >
> >
> >The other possible option I see is coming from the experience of
> >a well known bank in France which was already in great financial
> >disaster when their Head Quarter burned, with all their main 
> >computer system with it. It was thought this was the end...
> >
> >Well, not at all, the next day they where able to trade on the
> >stock market as usual. That was because all their data was 
> >mirrored on another center linked by fibre channel. They even
> >got some respect for that for the first time since a long time !!!! 
> >
> >This was some years ago. With the advance in storage since, this
> >might be a good alternative to the Oracle replication with a 
> >price tag that not only banks could afford ...
> >
> >As well any experience for this kind of technology,
> >storage mirrored on another center 10 Kms away but linked by fibre 
> >channel ?  Is it expensive and working reliably ? 
> >
> >Being smart, we could combine the 2 options. 
> >
> >Use the disk mirroring to have a stand by database on another computer
> >center which would be used for the backup as well,  while we use Oracle 
> >replication for the report database to not degrade performance of the
> >slave and lessen the availability figure. 
> >
I'm curious if anyone has done anything liek this with linux?

rusty

________________________________________________
See http://PLUG.phoenix.az.us/navigator-mail.shtml if your mail doesn't post
to the list quickly and you use Netscape to write mail.

Plug-discuss mailing list  -  [email-masked]
http://lists.PLUG.phoenix.az.us/mailman/listinfo/plug-discuss